Package org.eclipse.graphiti

# Enum Class DiagramScrollingBehavior

java.lang.Object
java.lang.Enum<DiagramScrollingBehavior>
org.eclipse.graphiti.DiagramScrollingBehavior

All Implemented Interfaces:
  `Serializable`, `Comparable<DiagramScrollingBehavior>`, `Constable`

public enum DiagramScrollingBehavior extends Enum<DiagramScrollingBehavior>
The Enum DiagramScrollingBehavior.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`GEF_DEFAULT`
The GEF default behavior.
`SCROLLBARS_ALWAYS_VISIBLE`
The scrollbars are always visible.

## Method Summary

Modifier and Type
Method
Description
`static DiagramScrollingBehavior`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static DiagramScrollingBehavior[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### GEF_DEFAULT

public static final DiagramScrollingBehavior GEF_DEFAULT
The GEF default behavior.

### SCROLLBARS_ALWAYS_VISIBLE

public static final DiagramScrollingBehavior SCROLLBARS_ALWAYS_VISIBLE
The scrollbars are always visible.

## Method Details

### values

public static DiagramScrollingBehavior[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static DiagramScrollingBehavior valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null